ON_DimStyle Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_dimstyle.h>`

Inheritance diagram for ON_DimStyle:

## Public Types

enum | eArrowType { solidtriangle = 0, dot = 1, tick = 2, shorttriangle = 3, arrow = 4, rectangle = 5, longtriangle = 6, longertriangle = 7 }

enum

eField {
fn_name = 0, fn_index = 1, fn_extextension = 2, fn_extoffset = 3,
fn_arrowsize = 4, fn_centermark = 5, fn_textgap = 6, fn_textheight = 7,
fn_textalign = 8, fn_arrowtype = 9, fn_angularunits = 10, fn_lengthformat = 11,
fn_angleformat = 12, fn_angleresolution = 13, fn_lengthresolution = 14, fn_fontindex = 15,
fn_lengthfactor = 16, fn_bAlternate = 17, fn_alternate_lengthfactor = 18, fn_alternate_lengthformat = 19,
fn_alternate_lengthresolution = 20, fn_alternate_angleformat = 21, fn_alternate_angleresolution = 22, fn_prefix = 23,
fn_suffix = 24, fn_alternate_prefix = 25, fn_alternate_suffix = 26, fn_dimextension = 27,
fn_leaderarrowsize = 28, fn_leaderarrowtype = 29, fn_suppressextension1 = 30, fn_suppressextension2 = 31,
fn_last = 32, fn_overall_scale = 33, fn_ext_line_color_source = 34, fn_dim_line_color_source = 35,
fn_arrow_color_source = 36, fn_text_color_source = 37, fn_ext_line_color = 38, fn_dim_line_color = 39,
fn_arrow_color = 40, fn_text_color = 41, fn_ext_line_plot_color_source = 42, fn_dim_line_plot_color_source = 43,
fn_arrow_plot_color_source = 44, fn_text_plot_color_source = 45, fn_ext_line_plot_color = 46, fn_dim_line_plot_color = 47,
fn_arrow_plot_color = 48, fn_text_plot_color = 49, fn_ext_line_plot_weight_source = 50, fn_dim_line_plot_weight_source = 51,
fn_ext_line_plot_weight_mm = 52, fn_dim_line_plot_weight_mm = 53, fn_tolerance_style = 54, fn_tolerance_resolution = 55,
fn_tolerance_upper_value = 56, fn_tolerance_lower_value = 57, fn_tolerance_height_scale = 58, fn_baseline_spacing = 59,
fn_draw_mask = 60, fn_mask_color_source = 61, fn_mask_color = 62, fn_mask_border = 63,
fn_dimscale = 64, fn_dimscale_source = 65, fn_really_last = 0xFFFF
}

## Public Member Functions

| ON_DimStyle ()
| ~ON_DimStyle ()
ON_DimStyle & | operator= (const ON_3dmAnnotationSettings &src)
ON_BOOL32 | IsValid (ON_TextLog *text_log=NULL) const
void | Dump (ON_TextLog &) const
ON_BOOL32 | Write (ON_BinaryArchive &) const
ON_BOOL32 | Read (ON_BinaryArchive &)
void | EmergencyDestroy ()
ON_UUID | ModelObjectId () const
void | SetName (const wchar_t *)
void | SetName (const char *)
void | GetName (ON_wString &) const
const wchar_t * | Name () const
void | SetIndex (int)
int | Index () const
void | SetDefaults ()
void | SetDefaultsNoExtension ()
double | ExtExtension () const
void | SetExtExtension (const double)
double | ExtOffset () const
void | SetExtOffset (const double)
double | ArrowSize () const
void | SetArrowSize (const double)
double | LeaderArrowSize () const
void | SetLeaderArrowSize (const double)
double | CenterMark () const
void | SetCenterMark (const double)
int | TextAlignment () const
void | SetTextAlignment (ON::eTextDisplayMode)
int | ArrowType () const
void | SetArrowType (eArrowType)
int | LeaderArrowType () const
void | SetLeaderArrowType (eArrowType)
int | AngularUnits () const
void | SetAngularUnits (int)
int | LengthFormat () const
void | SetLengthFormat (int)
int | AngleFormat () const
void | SetAngleFormat (int)
int | LengthResolution () const
void | SetLengthResolution (int)
int | AngleResolution () const
void | SetAngleResolution (int)
int | FontIndex () const
virtual void | SetFontIndex (int index)
double | TextGap () const
void | SetTextGap (double gap)
double | TextHeight () const
void | SetTextHeight (double height)
double | LengthFactor () const
ON_DEPRECATED void | SetLengthactor (double)
void | SetLengthFactor (double)
bool | Alternate () const
void | SetAlternate (bool)
double | AlternateLengthFactor () const
ON_DEPRECATED void | SetAlternateLengthactor (double)
void | SetAlternateLengthFactor (double)
int | AlternateLengthFormat () const
void | SetAlternateLengthFormat (int)
int | AlternateLengthResolution () const
void | SetAlternateLengthResolution (int)
int | AlternateAngleFormat () const
void | SetAlternateAngleFormat (int)
int | AlternateAngleResolution () const
void | SetAlternateAngleResolution (int)
void | GetPrefix (ON_wString &) const
const wchar_t * | Prefix () const
void | SetPrefix (const wchar_t *)
void | SetPrefix (wchar_t *)
void | GetSuffix (ON_wString &) const
const wchar_t * | Suffix () const
void | SetSuffix (const wchar_t *)
void | SetSuffix (wchar_t *)
void | GetAlternatePrefix (ON_wString &) const
const wchar_t * | AlternatePrefix () const
void | SetAlternatePrefix (const wchar_t *)
void | SetAlternatePrefix (wchar_t *)
void | GetAlternateSuffix (ON_wString &) const
const wchar_t * | AlternateSuffix () const
void | SetAlternateSuffix (const wchar_t *)
void | SetAlternateSuffix (wchar_t *)
bool | SuppressExtension1 () const
void | SetSuppressExtension1 (bool)
bool | SuppressExtension2 () const
void | SetSuppressExtension2 (bool)
ON_DEPRECATED void | Composite (const ON_DimStyle &override)
ON_DEPRECATED void | InvalidateField (eField field)
ON_DEPRECATED void | InvalidateAllFields ()
ON_DEPRECATED void | ValidateField (eField field)
ON_DEPRECATED bool | IsFieldValid (eField) const
double | DimExtension () const
void | SetDimExtension (const double)
bool | IsFieldOverride (eField field_id) const
void | SetFieldOverride (ON_DimStyle::eField field_id, bool bOverride)
bool | HasOverrides () const
bool | OverrideFields (const ON_DimStyle &source, const ON_DimStyle &parent)
bool | InheritFields (const ON_DimStyle &parent)
bool | IsChildDimstyle () const
bool | IsChildOf (const ON_UUID &parent_uuid) const
bool | IsChildOf (ON_UUID &parent_uuid) const
ON_UUID | ParentId () const
void | SetParentId (ON_UUID parent_uuid)
ON_DEPRECATED void | SetParent (ON_UUID &parent_uuid)
int | ToleranceStyle () const
int | ToleranceResolution () const
double | ToleranceUpperValue () const
double | ToleranceLowerValue () const
double | ToleranceHeightScale () const
double | BaselineSpacing () const
void | SetToleranceStyle (int style)
void | SetToleranceResolution (int resolution)
void | SetToleranceUpperValue (double upper_value)
void | SetToleranceLowerValue (double lower_value)
void | SetToleranceHeightScale (double scale)
void | SetBaselineSpacing (double spacing=false)
bool | DrawTextMask () const
void | SetDrawTextMask (bool bDraw)
int | MaskColorSource () const
void | SetMaskColorSource (int source)
ON_Color | MaskColor () const
void | SetMaskColor (ON_Color color)
void | SetDimScaleSource (int source)
int | DimScaleSource () const
void | SetDimScale (double scale)
double | DimScale () const
double | MaskOffsetFactor () const
void | Scale (double scale)
void | SetSourceDimstyle (ON_UUID source_uuid)
ON_UUID | SourceDimstyle () const
bool | CompareFields (const ON_DimStyle &other) const
class ON_DimStyleExtra * | DimStyleExtension ()
const class ON_DimStyleExtra * | DimStyleExtension () const
Public Member Functions inherited from ON_Object
bool | CopyFrom (const ON_Object *src)
| ON_Object ()
| ON_Object (const ON_Object &)
ON_Object & | operator= (const ON_Object &)
virtual | ~ON_Object ()
void | EmergencyDestroy ()
virtual void | MemoryRelocate ()
ON_BOOL32 | IsKindOf (const ON_ClassId *pClassId) const
virtual unsigned int | SizeOf () const
virtual ON__UINT32 | DataCRC (ON__UINT32 current_remainder) const
virtual ON::object_type | ObjectType () const
bool | SetUserString (const wchar_t *key, const wchar_t *string_value)
int | SetUserStrings (int count, const ON_UserString *user_strings, bool bReplace)
bool | GetUserString (const wchar_t *key, ON_wString &string_value) const
int | GetUserStrings (ON_ClassArray< ON_UserString > &user_strings) const
int | GetUserStringKeys (ON_ClassArray< ON_wString > &user_string_keys) const
int | UserStringCount () const
ON_BOOL32 | AttachUserData (ON_UserData *pUserData)
ON_BOOL32 | DetachUserData (ON_UserData *pUserData)
ON_UserData * | GetUserData (const ON_UUID &userdata_uuid) const
void | PurgeUserData ()
ON_UserData * | FirstUserData () const
void | TransformUserData (const ON_Xform &xform)
void | CopyUserData (const ON_Object &source_object)
void | MoveUserData (ON_Object &source_object)
virtual void | DestroyRuntimeCache (bool bDelete=true)

## Static Public Member Functions

static int | DefaultToleranceStyle ()
static int | DefaultToleranceResolution ()
static double | DefaultToleranceUpperValue ()
static double | DefaultToleranceLowerValue ()
static double | DefaultToleranceHeightScale ()
static double | DefaultBaselineSpacing ()
static bool | DefaultDrawTextMask ()
static int | DefaultMaskColorSource ()
static ON_Color | DefaultMaskColor ()
static double | DefaultDimScale ()
static int | DefaultDimScaleSource ()

## Public Attributes

ON_wString | m_dimstyle_name
int | m_dimstyle_index
ON_UUID | m_dimstyle_id
double | m_extextension
double | m_extoffset
double | m_arrowsize
double | m_centermark
double | m_textgap
double | m_textheight
int | m_textalign
int | m_arrowtype
int | m_angularunits
int | m_lengthformat
int | m_angleformat
int | m_angleresolution
int | m_lengthresolution
int | m_fontindex
double | m_lengthfactor
bool | m_bAlternate
double | m_alternate_lengthfactor
int | m_alternate_lengthformat
int | m_alternate_lengthresolution
int | m_alternate_angleformat
int | m_alternate_angleresolution
ON_wString | m_prefix
ON_wString | m_suffix
ON_wString | m_alternate_prefix
ON_wString | m_alternate_suffix
double | m_dimextension
double | m_leaderarrowsize
int | m_leaderarrowtype
bool | m_bSuppressExtension1
bool | m_bSuppressExtension2

## Detailed Description

Definition at line 20 of file opennurbs_dimstyle.h.

## Member Enumeration Documentation

## eArrowType

enum ON_DimStyle::eArrowType

Enumerator
solidtriangle |
dot |
tick |
shorttriangle |
arrow |
rectangle |
longtriangle |
longertriangle |

Definition at line 25 of file opennurbs_dimstyle.h.

## eField

enum ON_DimStyle::eField

Enumerator
fn_name |
fn_index |
fn_extextension |
fn_extoffset |
fn_arrowsize |
fn_centermark |
fn_textgap |
fn_textheight |
fn_textalign |
fn_arrowtype |
fn_angularunits |
fn_lengthformat |
fn_angleformat |
fn_angleresolution |
fn_lengthresolution |
fn_fontindex |
fn_lengthfactor |
fn_bAlternate |
fn_alternate_lengthfactor |
fn_alternate_lengthformat |
fn_alternate_lengthresolution |
fn_alternate_angleformat |
fn_alternate_angleresolution |
fn_prefix |
fn_suffix |
fn_alternate_prefix |
fn_alternate_suffix |
fn_dimextension |
fn_leaderarrowsize |
fn_leaderarrowtype |
fn_suppressextension1 |
fn_suppressextension2 |
fn_last |
fn_overall_scale |
fn_ext_line_color_source |
fn_dim_line_color_source |
fn_arrow_color_source |
fn_text_color_source |
fn_ext_line_color |
fn_dim_line_color |
fn_arrow_color |
fn_text_color |
fn_ext_line_plot_color_source |
fn_dim_line_plot_color_source |
fn_arrow_plot_color_source |
fn_text_plot_color_source |
fn_ext_line_plot_color |
fn_dim_line_plot_color |
fn_arrow_plot_color |
fn_text_plot_color |
fn_ext_line_plot_weight_source |
fn_dim_line_plot_weight_source |
fn_ext_line_plot_weight_mm |
fn_dim_line_plot_weight_mm |
fn_tolerance_style |
fn_tolerance_resolution |
fn_tolerance_upper_value |
fn_tolerance_lower_value |
fn_tolerance_height_scale |
fn_baseline_spacing |
fn_draw_mask |
fn_mask_color_source |
fn_mask_color |
fn_mask_border |
fn_dimscale |
fn_dimscale_source |
fn_really_last |

Definition at line 207 of file opennurbs_dimstyle.h.

## Constructor & Destructor Documentation

## ON_DimStyle()

ON_DimStyle::ON_DimStyle | ( |  | ) |

## ~ON_DimStyle()

ON_DimStyle::~ON_DimStyle | ( |  | ) |

## Member Function Documentation

## Alternate()

bool ON_DimStyle::Alternate | ( |  | ) | const

## AlternateAngleFormat()

int ON_DimStyle::AlternateAngleFormat | ( |  | ) | const

## AlternateAngleResolution()

int ON_DimStyle::AlternateAngleResolution | ( |  | ) | const

## AlternateLengthFactor()

double ON_DimStyle::AlternateLengthFactor | ( |  | ) | const

## AlternateLengthFormat()

int ON_DimStyle::AlternateLengthFormat | ( |  | ) | const

## AlternateLengthResolution()

int ON_DimStyle::AlternateLengthResolution | ( |  | ) | const

## AlternatePrefix()

const wchar_t* ON_DimStyle::AlternatePrefix | ( |  | ) | const

## AlternateSuffix()

const wchar_t* ON_DimStyle::AlternateSuffix | ( |  | ) | const

## AngleFormat()

int ON_DimStyle::AngleFormat | ( |  | ) | const

## AngleResolution()

int ON_DimStyle::AngleResolution | ( |  | ) | const

## AngularUnits()

int ON_DimStyle::AngularUnits | ( |  | ) | const

## ArrowSize()

double ON_DimStyle::ArrowSize | ( |  | ) | const

## ArrowType()

int ON_DimStyle::ArrowType | ( |  | ) | const

## BaselineSpacing()

double ON_DimStyle::BaselineSpacing | ( |  | ) | const

## CenterMark()

double ON_DimStyle::CenterMark | ( |  | ) | const

## CompareFields()

bool ON_DimStyle::CompareFields | ( | const ON_DimStyle & | other | ) | const

## Composite()

ON_DEPRECATED void ON_DimStyle::Composite | ( | const ON_DimStyle & | override | ) |

## DefaultBaselineSpacing()

static double ON_DimStyle::DefaultBaselineSpacing | ( |  | ) |

static

## DefaultDimScale()

static double ON_DimStyle::DefaultDimScale | ( |  | ) |

static

## DefaultDimScaleSource()

static int ON_DimStyle::DefaultDimScaleSource | ( |  | ) |

static

## DefaultDrawTextMask()

static bool ON_DimStyle::DefaultDrawTextMask | ( |  | ) |

static

## DefaultMaskColor()

static ON_Color ON_DimStyle::DefaultMaskColor | ( |  | ) |

static

## DefaultMaskColorSource()

static int ON_DimStyle::DefaultMaskColorSource | ( |  | ) |

static

## DefaultToleranceHeightScale()

static double ON_DimStyle::DefaultToleranceHeightScale | ( |  | ) |

static

## DefaultToleranceLowerValue()

static double ON_DimStyle::DefaultToleranceLowerValue | ( |  | ) |

static

## DefaultToleranceResolution()

static int ON_DimStyle::DefaultToleranceResolution | ( |  | ) |

static

## DefaultToleranceStyle()

static int ON_DimStyle::DefaultToleranceStyle | ( |  | ) |

static

## DefaultToleranceUpperValue()

static double ON_DimStyle::DefaultToleranceUpperValue | ( |  | ) |

static

## DimExtension()

double ON_DimStyle::DimExtension | ( |  | ) | const

## DimScale()

double ON_DimStyle::DimScale | ( |  | ) | const

## DimScaleSource()

int ON_DimStyle::DimScaleSource | ( |  | ) | const

## DimStyleExtension() [1/2]

class ON_DimStyleExtra* ON_DimStyle::DimStyleExtension | ( |  | ) |

## DimStyleExtension() [2/2]

const class ON_DimStyleExtra* ON_DimStyle::DimStyleExtension | ( |  | ) | const

## DrawTextMask()

bool ON_DimStyle::DrawTextMask | ( |  | ) | const

## Dump()

void ON_DimStyle::Dump | ( | ON_TextLog & |  | ) | const

virtual

Reimplemented from ON_Object.

## EmergencyDestroy()

void ON_DimStyle::EmergencyDestroy | ( |  | ) |

## ExtExtension()

double ON_DimStyle::ExtExtension | ( |  | ) | const

## ExtOffset()

double ON_DimStyle::ExtOffset | ( |  | ) | const

## FontIndex()

int ON_DimStyle::FontIndex | ( |  | ) | const

## GetAlternatePrefix()

void ON_DimStyle::GetAlternatePrefix | ( | ON_wString & |  | ) | const

## GetAlternateSuffix()

void ON_DimStyle::GetAlternateSuffix | ( | ON_wString & |  | ) | const

## GetName()

void ON_DimStyle::GetName | ( | ON_wString & |  | ) | const

## GetPrefix()

void ON_DimStyle::GetPrefix | ( | ON_wString & |  | ) | const

## GetSuffix()

void ON_DimStyle::GetSuffix | ( | ON_wString & |  | ) | const

## HasOverrides()

bool ON_DimStyle::HasOverrides | ( |  | ) | const

## Index()

int ON_DimStyle::Index | ( |  | ) | const

## InheritFields()

bool ON_DimStyle::InheritFields | ( | const ON_DimStyle & | parent | ) |

## InvalidateAllFields()

ON_DEPRECATED void ON_DimStyle::InvalidateAllFields | ( |  | ) |

## InvalidateField()

ON_DEPRECATED void ON_DimStyle::InvalidateField | ( | eField | field | ) |

## IsChildDimstyle()

bool ON_DimStyle::IsChildDimstyle | ( |  | ) | const

## IsChildOf() [1/2]

bool ON_DimStyle::IsChildOf | ( | const ON_UUID & | parent_uuid | ) | const

## IsChildOf() [2/2]

bool ON_DimStyle::IsChildOf | ( | ON_UUID & | parent_uuid | ) | const

## IsFieldOverride()

bool ON_DimStyle::IsFieldOverride | ( | eField | field_id | ) | const

## IsFieldValid()

ON_DEPRECATED bool ON_DimStyle::IsFieldValid | ( | eField |  | ) | const

## IsValid()

ON_BOOL32 ON_DimStyle::IsValid | ( | ON_TextLog * | text_log = `NULL` | ) | const

virtual

Implements ON_Object.

## LeaderArrowSize()

double ON_DimStyle::LeaderArrowSize | ( |  | ) | const

## LeaderArrowType()

int ON_DimStyle::LeaderArrowType | ( |  | ) | const

## LengthFactor()

double ON_DimStyle::LengthFactor | ( |  | ) | const

## LengthFormat()

int ON_DimStyle::LengthFormat | ( |  | ) | const

## LengthResolution()

int ON_DimStyle::LengthResolution | ( |  | ) | const

## MaskColor()

ON_Color ON_DimStyle::MaskColor | ( |  | ) | const

## MaskColorSource()

int ON_DimStyle::MaskColorSource | ( |  | ) | const

## MaskOffsetFactor()

double ON_DimStyle::MaskOffsetFactor | ( |  | ) | const

## ModelObjectId()

ON_UUID ON_DimStyle::ModelObjectId | ( |  | ) | const

virtual

Reimplemented from ON_Object.

## Name()

const wchar_t* ON_DimStyle::Name | ( |  | ) | const

## operator=()

ON_DimStyle& ON_DimStyle::operator= | ( | const ON_3dmAnnotationSettings & | src | ) |

## OverrideFields()

bool ON_DimStyle::OverrideFields | ( | const ON_DimStyle & | source,
|  | const ON_DimStyle & | parent
| ) |  |

## ParentId()

ON_UUID ON_DimStyle::ParentId | ( |  | ) | const

## Prefix()

const wchar_t* ON_DimStyle::Prefix | ( |  | ) | const

## Read()

ON_BOOL32 ON_DimStyle::Read | ( | ON_BinaryArchive & |  | ) |

virtual

Reimplemented from ON_Object.

## Scale()

void ON_DimStyle::Scale | ( | double | scale | ) |

## SetAlternate()

void ON_DimStyle::SetAlternate | ( | bool |  | ) |

## SetAlternateAngleFormat()

void ON_DimStyle::SetAlternateAngleFormat | ( | int |  | ) |

## SetAlternateAngleResolution()

void ON_DimStyle::SetAlternateAngleResolution | ( | int |  | ) |

## SetAlternateLengthactor()

ON_DEPRECATED void ON_DimStyle::SetAlternateLengthactor | ( | double |  | ) |

## SetAlternateLengthFactor()

void ON_DimStyle::SetAlternateLengthFactor | ( | double |  | ) |

## SetAlternateLengthFormat()

void ON_DimStyle::SetAlternateLengthFormat | ( | int |  | ) |

## SetAlternateLengthResolution()

void ON_DimStyle::SetAlternateLengthResolution | ( | int |  | ) |

## SetAlternatePrefix() [1/2]

void ON_DimStyle::SetAlternatePrefix | ( | const wchar_t * |  | ) |

## SetAlternatePrefix() [2/2]

void ON_DimStyle::SetAlternatePrefix | ( | wchar_t * |  | ) |

## SetAlternateSuffix() [1/2]

void ON_DimStyle::SetAlternateSuffix | ( | const wchar_t * |  | ) |

## SetAlternateSuffix() [2/2]

void ON_DimStyle::SetAlternateSuffix | ( | wchar_t * |  | ) |

## SetAngleFormat()

void ON_DimStyle::SetAngleFormat | ( | int |  | ) |

## SetAngleResolution()

void ON_DimStyle::SetAngleResolution | ( | int |  | ) |

## SetAngularUnits()

void ON_DimStyle::SetAngularUnits | ( | int |  | ) |

## SetArrowSize()

void ON_DimStyle::SetArrowSize | ( | const double |  | ) |

## SetArrowType()

void ON_DimStyle::SetArrowType | ( | eArrowType |  | ) |

## SetBaselineSpacing()

void ON_DimStyle::SetBaselineSpacing | ( | double | spacing = `false` | ) |

## SetCenterMark()

void ON_DimStyle::SetCenterMark | ( | const double |  | ) |

## SetDefaults()

void ON_DimStyle::SetDefaults | ( |  | ) |

## SetDefaultsNoExtension()

void ON_DimStyle::SetDefaultsNoExtension | ( |  | ) |

## SetDimExtension()

void ON_DimStyle::SetDimExtension | ( | const double |  | ) |

## SetDimScale()

void ON_DimStyle::SetDimScale | ( | double | scale | ) |

## SetDimScaleSource()

void ON_DimStyle::SetDimScaleSource | ( | int | source | ) |

## SetDrawTextMask()

void ON_DimStyle::SetDrawTextMask | ( | bool | bDraw | ) |

## SetExtExtension()

void ON_DimStyle::SetExtExtension | ( | const double |  | ) |

## SetExtOffset()

void ON_DimStyle::SetExtOffset | ( | const double |  | ) |

## SetFieldOverride()

void ON_DimStyle::SetFieldOverride | ( | ON_DimStyle::eField | field_id,
|  | bool | bOverride
| ) |  |

## SetFontIndex()

virtual void ON_DimStyle::SetFontIndex | ( | int | index | ) |

virtual

## SetIndex()

void ON_DimStyle::SetIndex | ( | int |  | ) |

## SetLeaderArrowSize()

void ON_DimStyle::SetLeaderArrowSize | ( | const double |  | ) |

## SetLeaderArrowType()

void ON_DimStyle::SetLeaderArrowType | ( | eArrowType |  | ) |

## SetLengthactor()

ON_DEPRECATED void ON_DimStyle::SetLengthactor | ( | double |  | ) |

## SetLengthFactor()

void ON_DimStyle::SetLengthFactor | ( | double |  | ) |

## SetLengthFormat()

void ON_DimStyle::SetLengthFormat | ( | int |  | ) |

## SetLengthResolution()

void ON_DimStyle::SetLengthResolution | ( | int |  | ) |

## SetMaskColor()

void ON_DimStyle::SetMaskColor | ( | ON_Color | color | ) |

## SetMaskColorSource()

void ON_DimStyle::SetMaskColorSource | ( | int | source | ) |

## SetName() [1/2]

void ON_DimStyle::SetName | ( | const char * |  | ) |

## SetName() [2/2]

void ON_DimStyle::SetName | ( | const wchar_t * |  | ) |

## SetParent()

ON_DEPRECATED void ON_DimStyle::SetParent | ( | ON_UUID & | parent_uuid | ) |

## SetParentId()

void ON_DimStyle::SetParentId | ( | ON_UUID | parent_uuid | ) |

## SetPrefix() [1/2]

void ON_DimStyle::SetPrefix | ( | const wchar_t * |  | ) |

## SetPrefix() [2/2]

void ON_DimStyle::SetPrefix | ( | wchar_t * |  | ) |

## SetSourceDimstyle()

void ON_DimStyle::SetSourceDimstyle | ( | ON_UUID | source_uuid | ) |

## SetSuffix() [1/2]

void ON_DimStyle::SetSuffix | ( | const wchar_t * |  | ) |

## SetSuffix() [2/2]

void ON_DimStyle::SetSuffix | ( | wchar_t * |  | ) |

## SetSuppressExtension1()

void ON_DimStyle::SetSuppressExtension1 | ( | bool |  | ) |

## SetSuppressExtension2()

void ON_DimStyle::SetSuppressExtension2 | ( | bool |  | ) |

## SetTextAlignment()

void ON_DimStyle::SetTextAlignment | ( | ON::eTextDisplayMode |  | ) |

## SetTextGap()

void ON_DimStyle::SetTextGap | ( | double | gap | ) |

## SetTextHeight()

void ON_DimStyle::SetTextHeight | ( | double | height | ) |

## SetToleranceHeightScale()

void ON_DimStyle::SetToleranceHeightScale | ( | double | scale | ) |

## SetToleranceLowerValue()

void ON_DimStyle::SetToleranceLowerValue | ( | double | lower_value | ) |

## SetToleranceResolution()

void ON_DimStyle::SetToleranceResolution | ( | int | resolution | ) |

## SetToleranceStyle()

void ON_DimStyle::SetToleranceStyle | ( | int | style | ) |

## SetToleranceUpperValue()

void ON_DimStyle::SetToleranceUpperValue | ( | double | upper_value | ) |

## SourceDimstyle()

ON_UUID ON_DimStyle::SourceDimstyle | ( |  | ) | const

## Suffix()

const wchar_t* ON_DimStyle::Suffix | ( |  | ) | const

## SuppressExtension1()

bool ON_DimStyle::SuppressExtension1 | ( |  | ) | const

## SuppressExtension2()

bool ON_DimStyle::SuppressExtension2 | ( |  | ) | const

## TextAlignment()

int ON_DimStyle::TextAlignment | ( |  | ) | const

## TextGap()

double ON_DimStyle::TextGap | ( |  | ) | const

## TextHeight()

double ON_DimStyle::TextHeight | ( |  | ) | const

## ToleranceHeightScale()

double ON_DimStyle::ToleranceHeightScale | ( |  | ) | const

## ToleranceLowerValue()

double ON_DimStyle::ToleranceLowerValue | ( |  | ) | const

## ToleranceResolution()

int ON_DimStyle::ToleranceResolution | ( |  | ) | const

## ToleranceStyle()

int ON_DimStyle::ToleranceStyle | ( |  | ) | const

## ToleranceUpperValue()

double ON_DimStyle::ToleranceUpperValue | ( |  | ) | const

## ValidateField()

ON_DEPRECATED void ON_DimStyle::ValidateField | ( | eField | field | ) |

## Write()

ON_BOOL32 ON_DimStyle::Write | ( | ON_BinaryArchive & |  | ) | const

virtual

Reimplemented from ON_Object.

## Member Data Documentation

## m_alternate_angleformat

int ON_DimStyle::m_alternate_angleformat

Definition at line 441 of file opennurbs_dimstyle.h.

## m_alternate_angleresolution

int ON_DimStyle::m_alternate_angleresolution

Definition at line 442 of file opennurbs_dimstyle.h.

## m_alternate_lengthfactor

double ON_DimStyle::m_alternate_lengthfactor

Definition at line 437 of file opennurbs_dimstyle.h.

## m_alternate_lengthformat

int ON_DimStyle::m_alternate_lengthformat

Definition at line 438 of file opennurbs_dimstyle.h.

## m_alternate_lengthresolution

int ON_DimStyle::m_alternate_lengthresolution

Definition at line 439 of file opennurbs_dimstyle.h.

## m_alternate_prefix

ON_wString ON_DimStyle::m_alternate_prefix

Definition at line 445 of file opennurbs_dimstyle.h.

## m_alternate_suffix

ON_wString ON_DimStyle::m_alternate_suffix

Definition at line 446 of file opennurbs_dimstyle.h.

## m_angleformat

int ON_DimStyle::m_angleformat

Definition at line 427 of file opennurbs_dimstyle.h.

## m_angleresolution

int ON_DimStyle::m_angleresolution

Definition at line 428 of file opennurbs_dimstyle.h.

## m_angularunits

int ON_DimStyle::m_angularunits

Definition at line 425 of file opennurbs_dimstyle.h.

## m_arrowsize

double ON_DimStyle::m_arrowsize

Definition at line 419 of file opennurbs_dimstyle.h.

## m_arrowtype

int ON_DimStyle::m_arrowtype

Definition at line 424 of file opennurbs_dimstyle.h.

## m_bAlternate

bool ON_DimStyle::m_bAlternate

Definition at line 435 of file opennurbs_dimstyle.h.

## m_bSuppressExtension1

bool ON_DimStyle::m_bSuppressExtension1

Definition at line 458 of file opennurbs_dimstyle.h.

## m_bSuppressExtension2

bool ON_DimStyle::m_bSuppressExtension2

Definition at line 459 of file opennurbs_dimstyle.h.

## m_centermark

double ON_DimStyle::m_centermark

Definition at line 420 of file opennurbs_dimstyle.h.

## m_dimextension

double ON_DimStyle::m_dimextension

Definition at line 453 of file opennurbs_dimstyle.h.

## m_dimstyle_id

ON_UUID ON_DimStyle::m_dimstyle_id

Definition at line 415 of file opennurbs_dimstyle.h.

## m_dimstyle_index

int ON_DimStyle::m_dimstyle_index

Definition at line 414 of file opennurbs_dimstyle.h.

## m_dimstyle_name

ON_wString ON_DimStyle::m_dimstyle_name

Definition at line 413 of file opennurbs_dimstyle.h.

## m_extextension

double ON_DimStyle::m_extextension

Definition at line 417 of file opennurbs_dimstyle.h.

## m_extoffset

double ON_DimStyle::m_extoffset

Definition at line 418 of file opennurbs_dimstyle.h.

## m_fontindex

int ON_DimStyle::m_fontindex

Definition at line 431 of file opennurbs_dimstyle.h.

## m_leaderarrowsize

double ON_DimStyle::m_leaderarrowsize

Definition at line 456 of file opennurbs_dimstyle.h.

## m_leaderarrowtype

int ON_DimStyle::m_leaderarrowtype

Definition at line 457 of file opennurbs_dimstyle.h.

## m_lengthfactor

double ON_DimStyle::m_lengthfactor

Definition at line 434 of file opennurbs_dimstyle.h.

## m_lengthformat

int ON_DimStyle::m_lengthformat

Definition at line 426 of file opennurbs_dimstyle.h.

## m_lengthresolution

int ON_DimStyle::m_lengthresolution

Definition at line 429 of file opennurbs_dimstyle.h.

## m_prefix

ON_wString ON_DimStyle::m_prefix

Definition at line 443 of file opennurbs_dimstyle.h.

## m_suffix

ON_wString ON_DimStyle::m_suffix

Definition at line 444 of file opennurbs_dimstyle.h.

## m_textalign

int ON_DimStyle::m_textalign

Definition at line 423 of file opennurbs_dimstyle.h.

## m_textgap

double ON_DimStyle::m_textgap

Definition at line 421 of file opennurbs_dimstyle.h.

## m_textheight

double ON_DimStyle::m_textheight

Definition at line 422 of file opennurbs_dimstyle.h.

The documentation for this class was generated from the following file:

- pcl/surface/3rdparty/opennurbs/opennurbs_dimstyle.h